package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : 系统参数配置
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-07 09:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="ANDON_PLC_COLOR_CFG")
@Api(value="PLC三色灯控制")
public class AndonPlcColorCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3284234821448131212L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元")
    private String workCellCode;

    @Column(name="RED_PLC_CODE")
    @ApiParam(value ="红灯PLC代码")
    private String redPlcCode;

    @Column(name="YELLOW_PLC_CODE")
    @ApiParam(value ="黄灯PLC代码")
    private String yellowPlcCode;

    @Column(name="GREEN_PLC_CODE")
    @ApiParam(value ="绿灯PLC代码")
    private String greenPlcCode;

}
