package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : 安灯任务附属表
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-09-27 19:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="ANDON_MANAGE_ATTACH")
@Api(value="安灯附属表")
public class AndonQueueAttach extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6314624948969141111L;

    @Column(name="PROD_INFO")
    @ApiParam(value ="产品信息" , example ="-1")
    private String prodInfo;

    @Column(name="LINE_INFO")
    @ApiParam(value ="产线信息")
    private String lineInfo;

    @Column(name="ANDON_ORDER_NO")
    @ApiParam(value ="安灯任务编号")
    private String andonOrderNo;

//    @Column(name="STATUS_CODE")
//    @ApiParam(value ="安灯状态")
//    private String statusCode;

    @Column(name="TEMP_CORT_METHOD")
    @ApiParam(value ="临时/纠正措施")
    private String tempCorrectMethod;

    @Column(name="PRE_CORT_METHOD")
    @ApiParam(value ="预防/纠正措施")
    private String preCorrectMethod;

    @Column(name="CUSTOMER")
    @ApiParam(value ="客户")
    private String customer;

    @Column(name="PART_NO")
    @ApiParam(value ="零件号")
    private String partNo;

    @Column(name="PART_NAME")
    @ApiParam(value ="零件名称")
    private String partName;

    @Column(name="SCRAP_NUM")
    @ApiParam(value ="报废数量")
    private Double scrapNum;

    @Column(name="LOT")
    @ApiParam(value ="批次")
    private String lot;

    @Column(name="PART_NUM")
    @ApiParam(value ="零件数量")
    private Double partNum;

    @Column(name="DEVICE_NAME")
    @ApiParam(value ="设备名称")
    private String deviceName;

    @Column(name="IS_CHANGE_BACKUP")
    @ApiParam(value ="是否更换备件")
    private Integer isChangeBackup;

    @Column(name="BACKUP_PART_NAME")
    @ApiParam(value ="备件名称")
    private String backupPartName;

    @Column(name="SCALE")
    @ApiParam(value ="规格型号")
    private String scale;

    @Column(name="CURRENT_PROD_NUM")
    @ApiParam(value ="当前件数")
    private Integer currentProdNum;

    @Column(name="TOTAL_PROD_NUM")
    @ApiParam(value ="生产累计件数")
    private Integer totalProdNum;

    @Column(name="FAULT_STR")
    @ApiParam(value ="故障字符串")
    private String faultStr;

}
