package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/9/23 18:47
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EQU_ALARM_RECORD", indexes = {
        @Index(columnList = "WORK_CENTER_CODE")
})
@Api("设备自动报警记录表")
public class MesEquAlarmRecord extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1675134362612851879L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;

    @Column(name = "ALARM_LEVEL")
    @ApiParam("报警等级")
    private Integer alarmLevel;

    @Column(name = "ALARM_START_TIME")
    @ApiParam("报警开始时间")
    private String alarmStartTime;

    @Column(name = "ALARM_STOP_TIME")
    @ApiParam("报警开始时间")
    private String alarmStopTime;
}
