package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description : JIT队列列表Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-05-22 16:34
 * @Modify:
 **/
@Data
@Api("JIT队列列表Model")
public class QueueOrderModel implements Serializable {
    private Long id;
    @ApiParam("队列序号")
    public Double queueSeq;
    @ApiParam("队列明细序号")
    public Double queDetailSeq;
    @ApiParam("客户标识号")
    public String custFlagNo;
    @ApiParam("产品配置名称")
    public String prodCfgNameRdd;
    @ApiParam("产品类型名称")
    public String categoryNameRdd;
    @ApiParam("产品条码")
    public String serialNumber;
    @ApiParam("物料号")
    public String partNo;
    @ApiParam("物料名称")
    public String partNameRdd;
    @ApiParam("条码状态")
    public Integer snStatus;
    @ApiParam("生产类型")
    public String workType;
    @Transient
    @ApiParam("显示颜色")
    private String color;
    @ApiParam("工厂代码")
    private String organizeCode;
    @ApiParam("展示行数")
    private Integer prodNum;
    @ApiParam("产线")
    private String workCenterCode;
    @ApiParam("工位")
    private String workCellCode;

    public QueueOrderModel() {
    }

    public QueueOrderModel(Long id, Double queueSeq, Double queDetailSeq, String custFlagNo, String prodCfgNameRdd, String categoryNameRdd,
                           String serialNumber, String partNo, String partNameRdd, Integer snStatus, String workType) {
        this.id = id;
        this.queueSeq = queueSeq;
        this.queDetailSeq = queDetailSeq;
        this.custFlagNo = custFlagNo;
        this.prodCfgNameRdd = prodCfgNameRdd;
        this.categoryNameRdd = categoryNameRdd;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.snStatus = snStatus;
        this.workType = workType;
    }

    public QueueOrderModel(Long id, Double queueSeq, Double queDetailSeq, String custFlagNo, String prodCfgNameRdd, String categoryNameRdd,
                           String partNo, String partNameRdd, String workType) {
        this.id = id;
        this.queueSeq = queueSeq;
        this.queDetailSeq = queDetailSeq;
        this.custFlagNo = custFlagNo;
        this.prodCfgNameRdd = prodCfgNameRdd;
        this.categoryNameRdd = categoryNameRdd;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.workType = workType;
    }
}
