package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/8/1 5:55 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_DISPLAY")
@Api("MES_看板跑马灯")
public class MesBoardDisplay extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1537754345697889680L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "DISPLAY_CONTENT")
    @ApiParam("显示内容")
    private String displayContent;

    @Column(name = "IS_ROLL")
    @ApiParam("是否滚动")
    private Integer isRoll;

    @Column(name = "ROLL_SPEED")
    @ApiParam("滚动速度")
    private Integer rollSpeed;

    @Transient
    @ApiParam("跑马灯字体颜色")
    private String fontColor;
}
