package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\13 11:47
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_LINE")
@Api("看板产线配置")
public class MesBoardLine extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5212593630787939081L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    private String workCenterCode;

    @Column(name = "PLAN_OEE")
    @ApiParam("目标OEE")
    private Double planOee;

    @Column(name = "PLAN_TAKT")
    @ApiParam("计划节拍")
    private Double planTakt;

    @Column(name = "PASS_PERCENT_MAX")
    @ApiParam("良品率上限")
    private Double passPercentMax;

    @Column(name = "PASS_PERCENT_MIN")
    @ApiParam("良品率下限")
    private Double passPercentMin;

    @Column(name = "CAR_RUN_TIME")
    @ApiParam("小车运行时间（分）")
    private Double carRunTime;

    @Column(name = "TEST_CAR_SUM")
    @ApiParam("调试车数")
    private Integer testCarSum;

    @Column(name = "PLAN_FIRST_PASS_YIELD")
    @ApiParam("一次良品率目标值")
    private Double planFirstPassYield;

    @Column(name = "PLAN_PASS_YIELD")
    @ApiParam("最终良品率目标值")
    private Double planPassYield;

    /**
     * 是否展示： 1--展示  ，2--不展示
     */
    @Column(name = "IS_DISPLAY")
    @ApiParam("是否展示")
    private Integer isDisplay;

    @Column(name = "OEE_RED_LINE_VALUE")
    @ApiParam("OEE红线值")
    private String oeeRedLineValue;


}
