package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : MES_看板工位信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-07 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_LINE_MATRIX")
@Api("MES_看板产线矩阵")
public class MesBoardLineMatrix extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4414374274261870347L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    private String workCenterCode;

    @Column(name = "PICTURE_URL")
    @ApiParam("产线图片路径")
    private String pictureUrl;

    @Column(name = "USER_FIRST")
    @ApiParam("用户编号1")
    private String userFirst;

    @Column(name = "USER_SECOND")
    @ApiParam("用户编号2")
    private String userSecond;

    @Column(name = "USER_THIRD")
    @ApiParam("用户编号3")
    private String userThird;

    @Column(name = "USER_FORTH")
    @ApiParam("用户编号4")
    private String userForth;

    @Column(name = "USER_FIFTH")
    @ApiParam("用户编号5")
    private String userFifth;

    @Column(name = "USER_SIXTH")
    @ApiParam("用户编号6")
    private String userSixth;

}
