package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description: MES控制计划-主表（子表：质量标准MES_QUALITY_STANDARD）
 * @CreateDate: 2020/9/27
 * @Author: simon.song
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_CONTROL_PLAN")
@Api("中航控制计划主表")
public class MesControlPlan extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1454433409471781390L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "CUST_CODE")
    @ApiParam("客户代码")
    private String custCode;

    @Column(name = "CUST_NAME")
    @ApiParam("客户名称")
    private String custName;

    @Column(name = "VERSION")
    @ApiParam("版本号")
    private Integer version;

    @Column(name = "AUDIT_TYPE")
    @ApiParam("审核状态")
    private Integer auditType;

    @Column(name = "IS_ENABLE")
    @ApiParam("是否启用")
    private Integer isEnable;

}
