package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : MES_客户条码规则
 * @Reference :
 * @Author : dominic.xiao
 * @CreateDate : 2020-11-02 18:19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_CUSTOMER_SN_RULE")
@Api("MES_客户条码规则")
public class MesCustomerSnRule extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3928160156339420471L;

    @Column(name = "CUSTOMER_CODE")
    @ApiParam(value = "客户代码")
    private String customerCode;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam(value = "客户零件号")
    private String customerPartNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料号")
    private String partNo;

    @Column(name = "LENGTH")
    @ApiParam(value = "长度")
    private Integer length;

    @Column(name = "FROM1")
    @ApiParam(value = "起始1")
    private Integer from1;

    @Column(name = "TO1")
    @ApiParam(value = "至1")
    private Integer to1;

    @Column(name = "FIX1")
    @ApiParam(value = "内容1")
    private String fix1;
}
