package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :设备作业要求
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EQU_TASK_STANDARD")
@Api("设备作业要求")
public class MesEquTaskStandard extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8619366076594894497L;
    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Column(name = "EQUIPMENT_NAME")
    @ApiParam("设备名称")
    private String equipmentName;

    @Column(name = "TASK_TYPE")
    @ApiParam("作业类型")
    private Integer taskType;

    @Column(name = "ACTION_ITEM")
    @ApiParam("操作项")
    private String actionItem;

    @Column(name = "ACTION_STANDARD")
    @ApiParam("操作标准")
    private String actionStandard;

    @Column(name = "ACTION_GUIDE")
    @ApiParam("操作指导")
    private String actionGuide;

    @Column(name = "ACTION_GUIDE_URL")
    @ApiParam("操作指导文件路径")
    private String actionGuideUrl;

    @Column(name = "FILE_ID")
    @ApiParam("操作指导文件id")
    private Long fileId;

    @Transient
    @ApiParam(value = "生产线")
    private String workCenterCode;

    @Transient
    @ApiParam(value = "设备类别")
    private String equipmentCategory;

}
