package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/4/18 21:05
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EXCEPTION_ALERT_CFG")
@Api("MES_异常提醒配置")
public class MesExceptionAlertCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2733956307324895221L;

    @Column(name = "SRC_MENU_CODE")
    @ApiParam("来源模块代码")
    private String srcMenuCode;

    @Column(name = "SRC_MENU_NAME")
    @ApiParam("来源模块名称")
    private String srcMenuName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "USER_CODE_GROUP")
    @ApiParam("提醒人员集合")
    private String userCodeGroup;
}
