package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/4/18 21:05
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_EXCEPTION_WINDOW_RECORD")
@Api("MES_弹窗异常提醒记录")
public class MesExceptionWindowRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2733956307324895345L;

    @Column(name = "SRC_MENU_CODE")
    @ApiParam("来源模块代码")
    private String srcMenuCode;

    @Column(name = "USER_CODE")
    @ApiParam("提醒人员")
    private String userCode;

    @Column(name = "MESSAGE_TYPE")
    @ApiParam("消息类型")
    private Integer messageType;

    @Column(name = "MESSAGE_HEAD")
    @ApiParam("提示表头")
    private String messageHead;

    @Column(name = "MESSAGE_CONTENT")
    @ApiParam("提示内容")
    private String messageContent;

    @Column(name = "STATUS")
    @ApiParam("处理状态")
    private Integer status;
}
