package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\15 10:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_GENERATE_QC_ORDER")
@Api("待生成检验单")
public class MesGenerateQcOrder extends BaseBean implements Serializable {
    private static final long serialVersionUID = 14873669015484197L;

    @Column(name = "ORDER_NO")
    @ApiParam("质检单号")
    private String orderNo;

    @Column(name = "IS_GENERATED")
    @ApiParam("是否生成了末检单")
    private Integer isGenerated = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Column(name = "GENERATE_TIME")
    @ApiParam("生成时间")
    private String generateTime;


}
