package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/4/18 21:05
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PCN_SYSTEM_CFG")
@Api("MES_PCN_系统配置")
public class MesPcnSystemCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2733956307324811596L;

    @Column(name = "PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name = "SYS_NAME")
    @ApiParam("系统名称")
    private String sysName;

    @Column(name = "COMPANY")
    @ApiParam("公司名称")
    private String company;

    @Column(name = "SYS_LOG")
    @ApiParam("系统LOG")
    private String sysLog;

    @Column(name = "MAIN_LOG")
    @ApiParam("主页LOG")
    private String mainLog;

    @Column(name = "COPYRIGHT")
    @ApiParam("版权信息")
    private String copyright;

    @Transient
    @ApiParam("LOG存放地址")
    private String logUrl;
}
