package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.*;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : joke
 * @CreateDate : 2020-03-06 10:01 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@NoArgsConstructor
@AllArgsConstructor
@Builder
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_JIT_ACTUAL_BOM", indexes = {
        @Index(columnList = "JIS_ACTUAL_NO"),
        @Index(columnList = "ORGANIZE_CODE"),
        @Index(columnList = "PRODUCE_CTGY_CODE"),
        @Index(columnList = "PART_NO")
})
@Api("客户JIT生产队列散件清单")
public class MesQueueJitActualBom extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1604529847020812472L;

    @Column(name = "JIS_ACTUAL_NO")
    @ApiParam("队列编号")
    private String jisActualNo;

    @Column(name = "ASSY_NO")
    @ApiParam("组件编号")
    private String assyNo;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "CUST_PART_NO")
    @ApiParam("客户物料号")
    private String custPartNo;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("用量")
    private Double qty = 0d;

    @Column(name = "DOCK_NO")
    @ApiParam("道口")
    private String dockNo;

    @Column(name = "PART_COLOR_VALUE")
    @ApiParam("零件色值")
    private String partColorValue;
}
