package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:车型散件配置清单
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\05\14 10:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SCATTER_PART_CFG_BOM")
@Api("MES_车型散件配置清单")
public class MesScatterPartCfgBom extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5412635772834364076L;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "MODEL_YEAR")
    @ApiParam("年度型")
    private String modelYear;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "CUST_PART_NO")
    @ApiParam("客户零件号")
    private String custPartNo;

    @Column(name = "PART_FLAG_LOCATION")
    @ApiParam("零件标志位")
    private Integer partFlagLocation;

    @Column(name = "PART_FLAG_VALUE")
    @ApiParam("零件标志值")
    private String partFlagValue;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "用量", example = "0")
    public Double qty;

    @Column(name = "OPTION_TYPE")
    @ApiParam("选配类型")
    private Integer optionType;
}
