package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description : 员工信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-07 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_STAFF")
@Api("员工信息")
public class MesStaff extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8330599945613548761L;

    @Column(name = "USER_CODE")
    @ApiParam("员工编号")
    private String userCode;

    @Column(name = "USER_NAME")
    @ApiParam("姓名")
    private String userName;

    @Column(name = "PICTURE_URL")
    @ApiParam("照片路径")
    private String pictureUrl;

    @Column(name = "SKILL_LEVEL")
    @ApiParam("技能等级")
    private Integer skillLevel;

    @Transient
    private Double xAxis;

    @Transient
    private Double yAxis;

    @Transient
    private String workCellCode;
}
