package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/9/27 15:59
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_TAKT_LEVEL_CONFIG", indexes = {
        @Index(columnList = "WORK_CENTER_CODE")
})
@Api("节拍故障等级配置表")
public class MesTaktAlarmLevelConfig extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3550230985173772736L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "LEVEL_CODE")
    @ApiParam("等级代码")
    private String levelCode;

    @Column(name = "SEQ")
    @ApiParam("顺序")
    private Integer seq;

    @Column(name = "IS_STOP_LINE")
    @ApiParam("是否停线")
    private Integer isStopLine;

    @Column(name = "IS_TRIGGER_ANDON")
    @ApiParam("是否触发安灯")
    private Integer isTriggerAndon;

    @Column(name = "ANDON_API_TYPE")
    @ApiParam("安灯接口类型")
    private Integer andonApiType;

    @Column(name = "MIN_MULTIPLE")
    @ApiParam("最小倍数")
    private Double minMultiple;

    @Column(name = "MAX_MULTIPLE")
    @ApiParam("最大倍数")
    private Double maxMultiple;

    @Column(name = "OBJECT_TYPE")
    @ApiParam("对象类型")
    private Integer objectType;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

}
