package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :配置表
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CELL_STATUS")
@Api("工位运行状态")
public class MesWorkCellStatus extends BaseBean implements Serializable {
    private static final long serialVersionUID = 102975351699481524L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;

    @Column(name = "TIME_OUT_STATUS")
    @ApiParam("超时状态")
    private Integer timeOutStatus = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Column(name = "DELAY_HELP_STATUS")
    @ApiParam("延迟帮助状态")
    private Integer delayHelpStatus = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Column(name = "EMERGENCY_STOP_STATUS")
    @ApiParam("紧急停止状态")
    private Integer emergencyStopStatus = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Column(name = "FINISH_COUNT")
    @ApiParam("完成数量")
    private Integer finishCount = 0;


}
