package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/10/16 2:42 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CENTER_MONITOR_LOG", indexes = {
        @Index(columnList = "CREATE_DATE_TIME"),
        @Index(columnList = "WORK_CENTER_CODE")
})
@Api("工位监控异常信息")
public class MesWorkCenterMonitorLog extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1432794181428753903L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "WORK_ORDER_NO")
    @ApiParam("工单")
    private String workOrderNo;

    @Column(name = "PROCESS_CODE")
    @ApiParam("工序")
    private String processCode;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程")
    private String routeCode;

    @Column(name = "MESSAGE")
    @ApiParam("异常信息")
    private String message;

    @Column(name = "BUSI_TYPE")
    @ApiParam("业务类型")
    private Integer busiType;
}
