package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 控制计划导入模板
 * @CreateDate: 2020/9/29
 * @Author: simon.song
 */
@Data
@Api(value="控制计划导入模板",description = "控制计划导入模板")
public class MesControlPlanTemplateModel extends BaseBean {

    private static final long serialVersionUID = 6846982556729401884L;

    @ApiParam("工作中心代码")
    @AnnoOutputColumn
    private String workCenterCode;

    @ApiParam("物料编码")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam("物料名称")
    @AnnoOutputColumn
    private String partName;

    @ApiParam("客户代码")
    @AnnoOutputColumn
    private String custCode;

    @ApiParam("客户名称")
    @AnnoOutputColumn
    private String custName;

    @ApiParam("控制计划版本号")
    @AnnoOutputColumn
    private Integer controlPlanVersion;

    @ApiParam("是否启用")
    @AnnoOutputColumn
    private Integer isEnable;

//    @Column(name = "IS_ENABLE")
//    @ApiParam("是否启用")
//    private Integer isEnable;

    @ApiParam("工作单元代码")
    @AnnoOutputColumn
    private String workCellCode;

    @ApiParam("质量标准版本")
    @AnnoOutputColumn
    private Integer qualityStandardVersion;

    //检测类型：10=首检，20=巡检，30=终检，40=发运检
    @ApiParam("检测类型")
    @AnnoOutputColumn
    private Integer checkType;

    @ApiParam("检测项类型")
    @AnnoOutputColumn
    private String checkItemType;

    @ApiParam("检测项")
    @AnnoOutputColumn
    private String checkItem;

    @ApiParam("检测标准")
    @AnnoOutputColumn
    private String checkStandard;

    @ApiParam("检测指导")
    @AnnoOutputColumn
    private String checkGuide;

    @ApiParam("频率")
    @AnnoOutputColumn
    private String checkFrequency;

    @ApiParam("是否允许让步")
    @AnnoOutputColumn
    private String isConcession;

    @ApiParam("间隔时间")
    @AnnoOutputColumn
    private String checkInterval;

    //个数标识：标记那几个数量需要进行检验。使用逗号间隔。如：1,2
    @ApiParam("个数标识")
    @AnnoOutputColumn
    private String numberFlag;

    @ApiParam("检测数量")
    @AnnoOutputColumn
    private Integer qty;

    //任务单类型,动态枚举
    @ApiParam("任务单类型")
    @AnnoOutputColumn
    private String checkOrderType;

    //数据来源：10=手工录入，20=PLC，30=DB
    @ApiParam("数据来源")
    @AnnoOutputColumn
    private String dataSource;

    //检验值类型：10=字符串，20=数值
    @ApiParam("检验值类型")
    @AnnoOutputColumn
    private String checkValueType;

    @ApiParam("公差上限")
    @AnnoOutputColumn
    private BigDecimal differenceMaxLimit;

    @ApiParam("公差下限")
    @AnnoOutputColumn
    private BigDecimal differenceMinLimit;

    @ApiParam("是否关键检测项")
    @AnnoOutputColumn
    private Integer isKeyCheckItem;

    @ApiParam("检测值配置编号")
    @AnnoOutputColumn
    private String checkCfgNo;

}
