package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 供应商报警单
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-09-27
 * @Modify:
 **/
@Data
@Table(name = "SWEB_VENDOR_ALARM")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("供应商报警单")
public class SwebVendorAlarm extends BaseBean {
    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "VENDOR_CODE")
    @ApiParam("供应商代码")
    private String vendorCode;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "ALARM_CONTENT")
    @ApiParam("报警内容")
    private String alarmContent;

    @Column(name = "ALARM_LEVEL")
    @ApiParam("报警级别")
    private Integer alarmLevel;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;

    @Column(name = "ORDER_NO")
    @ApiParam("订单号")
    private String orderNo;

    @Column(name = "PART_SPEC")
    @ApiParam("物料描述")
    private String partSpec;
}
