package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 供应商安全库存
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-09-17
 * @Modify:
 **/
@Data
@Table(name = "SWEB_VENDOR_STOCK")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("供应商安全库存")
public class SwebVendorStock extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "VENDOR_CODE")
    @ApiParam("供应商代码")
    private String vendorCode;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "SAFE_TYPE")
    @ApiParam("安全库存计算类型")
    private Integer safeType;

    @Column(name = "SAFE_VALUE")
    @ApiParam("计数值")
    private String safeValue;

    @Column(name = "QTY")
    @ApiParam("库存数量")
    private Double qty;

    @Column(name = "COUNT_MONTH")
    @ApiParam("月份")
    private String countMonth;

    @Column(name = "COUNT_WEEK")
    @ApiParam("周")
    private String countWeek;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Transient
    @ApiParam("日期")
    private String dateStart;

    @Transient
    @ApiParam("日期")
    private String dateEnd;
}
