package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description : 用户需要查询的服务调用详细日志
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-09-19 15:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_SERVICE_LOG")
@Api("服务调用详细日志")
public class WmsServiceLog extends BaseBean {

    private static final long serialVersionUID = 1285495680337747968L;

    @Column(name = "CALL_TIME")
    @ApiParam("调用时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    public String callTIme;

    @Column(name = "SERVICE_CODE")
    @ApiParam("服务代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    public String serviceCode;

    @Column(name = "SERVICE_NAME")
    @ApiParam("服务名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    public String serviceName;

    @Column(name = "JOB_CODE")
    @ApiParam(value = "JOB代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String jobCode;

    @Column(name = "JOB_NAME")
    @ApiParam(value = "JOB名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String jobName;

    @Lob
    @Column(name = "OUTPUT_MESSAGE")
    @ApiParam(value = "输出信息")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String outPutMessage;

    @Column(name = "LEVEL")
    @ApiParam(value = "日志级别")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String level;
}
