package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 班次表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-11-05 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_SHIFT")
@Api("班次信息")
public class WmsShift extends BaseBean{

    private static final long serialVersionUID = 9214639813072592714L;

    @Column(name="SHIFT_NO")
    @ApiParam("班次编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String shiftNo;

    @Column(name="SHIFT_NAME")
    @ApiParam("班次名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String shiftName;

    @Column(name="START_TIME")
    @ApiParam("开始时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.DATETIME)
    private String startTime;

    @Column(name="END_TIME")
    @ApiParam("结束时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.DATETIME)
    private String endTime;

    @Transient
    @ApiParam("结束时间&结束时间")
    private boolean startTimeAndEndTime;

}