package cn.estsh.i3plus.pojo.wms.bean.snapshot.erp;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : ERP 库存比对包含的库存地点
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2020-10-27 14:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_ERP_QUAN_AREAS")
public class WmsErpQuanAreas extends BaseBean implements Comparable<WmsErpQuanAreas> {
    private static final long serialVersionUID = 5560607687871639209L;

    @Column(name="AREA_NO")
    @ApiParam("库存地点")
    public String areaNo;

    @Override
    public int compareTo(WmsErpQuanAreas o) {
        return this.getAreaNo().compareTo(o.getAreaNo());
    }
}
